Subject: Re: FVWM: configure fails at "argument types of select()"

From: Dan Espen <[email-masked]>
Date: Sat, 02 Jun 2001 07:16:09 -0400

Tzafrir Cohen <[email-masked]> writes:
> On Fri, 1 Jun 2001, Dan Espen wrote:
> 
> > Michael Hamlin <[email-masked]> writes:
> > >
> > > Here's a follow up with more information to anyone who can help.
> > > Again, please copy any replies to [email-masked].
> > >
> > > pavo:~/bin/fvwm-2.2.5>uname -a
> > > SunOS pavo 5.7 Generic_106541-11 sun4u sparc SUNW,Ultra-1
> > > pavo:~/bin/fvwm-2.2.5>gcc -v
> > > Reading specs from
> > > /usr/local/lib/gcc-lib/sparc-sun-solaris2.5.1/2.7.2.2/specs
> > > gcc version 2.7.2.2
> > >
> > > I wouldn't know what is interesting enough to post to the list; except
> > > perhaps for one thing:
> > > fvwm-2.2.5   managed to finish the configure,  but fvwm-2.3.32 did NOT.
> > >
> > > configure: failed program was:
> > > #line 5031 "configure"
> > > #include "confdefs.h"
> > > #ifdef HAVE_SYS_TIME_H
> > > #include <sys/time.h>
> > > #endif
> > > #ifdef HAVE_SYS_TYPES_H
> > > #include <sys/types.h>
> > > #endif
> > > #ifdef HAVE_UNISTD_H
> > > #include <unistd.h>
> > > #endif
> > > #ifdef HAVE_SYS_SELECT_H
> > > #include <sys/select.h>
> > > #endif
> > > #ifdef HAVE_SYS_SOCKET_H
> > > #include <sys/socket.h>
> > > #endif
> > > int main() {
> > > extern select (int,
> > >fd_set *,      fd_set *, fd_set *,
> > >struct timeval *);
> > > ; return 0; }
> >
> > Maybe your feature tests aren't returning all the things they
> > should be, I looked in my config.h to see which of the flags were
> > defined.
> >
> > Right now, I'm out of ideas.Maybe someone else on the list
> > has an idea?
> 
> Maybe older versions of gcc (he is using 2.7.something) don't have
> uint16_t defined?

uint16_t isn't defined by gcc, its in one of the Sun Header files.
More likely, one of the feature tests failed, for example,
HAVE_SYS_SOCKET_H isn't defined so it doesn't include
sys/socket.h leading to the symbol not being defined.

How about posting all the output from configure, I'll compare it
to what I get.  Don't forget to remove configure.cache first.

Also, did you try compiling that code I posted, if that doesn't work,
it would point to problems in your gcc/Solaris setup.

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].